Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-20991

Outdated dependencies are installed while building ezpublish-platform

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: High High
    • Resolution: Fixed
    • Affects Version/s: 5.2-dev
    • Fix Version/s: QA tracked issues
    • Component/s: Platform stack
    • Labels:
    • Environment:

      Server OS: Red Hat 6.4
      PHP: 5.3.3
      Database: MySQL 5.1.61
      Browser: Firefox 21.0

    • Sprint:
      Aconcagua Sprint 1

      Description

      For instance, a 3 month old version of the demo bundle is installed which results in:

      php ezpublish/console assetic:dump --env=prod web

      You'll get the following error

      Dumping all prod assets.
      Debug mode is off.
       
      10:35:09 [file+] web/bundles/ezdemo/js/all.js
       
       
                                                                                                                 
        [RuntimeException]                                                                                       
        The source file "/var/www/apache2php53/tmp2/ezpublish5/ezpublish/../web/extension/ezjscore/design/stand  
        ard/lib/yui/3.7.1/build/yui/yui-min.js" does not exist.                                                  
                                                                                                                 
       
       
      assetic:dump [--watch] [--force] [--period="..."] [write_to]
      
      

        Activity

        Hide
        Vidar Langseid added a comment -

        Builds are working fine

        Show
        Vidar Langseid added a comment - Builds are working fine
        Hide
        Damien Pobel (Inactive) added a comment -

        Finally fixed by setting up the autosync between the two repositories.

        Show
        Damien Pobel (Inactive) added a comment - Finally fixed by setting up the autosync between the two repositories.
        Hide
        Vidar Langseid added a comment -

        Workaround suggested by DP:

            curl -sS https://getcomposer.org/installer | php
            php composer.phar update ezsystems/demobundle

        Show
        Vidar Langseid added a comment - Workaround suggested by DP: curl -sS https://getcomposer.org/installer | php php composer.phar update ezsystems/demobundle
        Hide
        André Rømcke added a comment -

        Seems like composer.lock/json is outdated, at least for demo bundle given it is looking for yui 3.7.1 and not 3.9.0.

        Show
        André Rømcke added a comment - Seems like composer.lock/json is outdated, at least for demo bundle given it is looking for yui 3.7.1 and not 3.9.0.
        Hide
        Vidar Langseid added a comment -

        Tested on ezpublish5-ee-bul-tarballs········ build #609

        Show
        Vidar Langseid added a comment - Tested on ezpublish5-ee-bul-tarballs········ build #609

          People

          • Assignee:
            Unassigned
            Reporter:
            Pedro Resende (Inactive)
          • Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - Not Specified
              Not Specified
              Remaining:
              Remaining Estimate - 0 minutes
              0m
              Logged:
              Time Spent - 3 hours
              3h

                Agile